apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.appName }}
spec:
  replicas: {{ .Values.appReplicas }}
  selector:
    matchLabels:
      app: {{ .Values.appName }}
  template:
    metadata:
      labels:
        app: {{ .Values.appName }}
    spec:
      containers:
        - name: {{ .Values.appName }}
          image: "{{ .Values.appImage }}:{{ .Values.appVersion }}"
          ports:
            - containerPort: {{ .Values.containerPort }}
          livenessProbe:
            initialDelaySeconds: 5
            tcpSocket:
              port: {{ .Values.containerPort }}
            periodSeconds: 5
          readinessProbe:
            initialDelaySeconds: 5
            tcpSocket:
              port: {{ .Values.containerPort }}
            periodSeconds: 5
          resources:
            requests:
              cpu: 50m
              memory: 100Mi
            limits:
              cpu: 100m
              memory: 150Mi
          volumeMounts:
            - mountPath: {{ .Values.containerMountPath }}
              name: {{ .Values.volumeName }}
      volumes:
        - name: {{ .Values.volumeName }}
          emptyDir: {}
